<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | branch        : BSF (Best So Far)
// | file          : $RCSfile: admin.lang.php,v $
// | last update   : $Date: 2005/02/13 10:23:09 $
// | last modifier : $Author: plg $
// | revision      : $Revision: 1.23 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Main words
$lang['links'] = 'Liens';
$lang['general'] = 'Gnral';
$lang['config'] = 'Configuration';
$lang['users'] = 'Utilisateurs';
$lang['instructions'] = 'Instructions';
$lang['history'] = 'Historique';
$lang['manage'] = 'Gestion';
$lang['waiting'] = 'En attente';
$lang['access'] = 'Accs';
$lang['groups'] = 'Groupes';
$lang['permissions'] = 'Autorisations';
$lang['update'] = 'Synchroniser';
$lang['edit'] = 'Editer';
$lang['authorized'] = 'Autoris';
$lang['forbidden'] = 'Interdit';
$lang['public'] = 'Publique';
$lang['private'] = 'Prive';
$lang['metadata']='Mtadonnes';
$lang['visitors'] = 'Visiteurs';
$lang['storage'] = 'Rpertoire';
$lang['locked'] = 'Verrouille';
$lang['unlocked'] = 'Dverrouille';
$lang['lock'] = 'Verrouiller';
$lang['unlock'] = 'Dverrouiller';
$lang['up'] = 'Monter';
$lang['down'] = 'Descendre';
$lang['path'] = 'Chemin d\'accs';
$lang['no_write_access'] = 'pas d\'accs en criture';

// Specific words
$lang['phpinfos'] = 'Informations PHP';
$lang['remote_site'] = 'Site distant';
$lang['remote_sites'] = 'Sites distant';
$lang['gallery_default'] = 'Options par dfaut';
$lang['upload'] = 'Ajout d\'images';

// Remote sites management
$lang['remote_site_create'] = 'Crer un nouveau site distant : (donner l\'URL vers generate_file_listing.php)';
$lang['remote_site_uncorrect_url'] = 'L\'URL d\'un site distant doit commencer par http ou https et ne doit tre compos que de caractres parmi "/", "a-zA-Z0-9", "-" ou "_"';
$lang['remote_site_already_exists'] = 'Ce site existe dj';
$lang['remote_site_generate'] = 'gnrer la liste';
$lang['remote_site_generate_hint'] = 'gnrer fichier listing.xml sur le site distant';
$lang['remote_site_update'] = 'mettre  jour';
$lang['remote_site_update_hint'] = 'lire le fichier distant listing.xml et mettre  jour la base de donnes locale';
$lang['remote_site_clean'] = 'nettoyer';
$lang['remote_site_clean_hint'] = 'supprimer le fichier listing.xml distant';
$lang['remote_site_delete'] = 'dtruire';
$lang['remote_site_delete_hint'] = 'dtruire ce site et tous les lments associs';
$lang['remote_site_file_not_found'] = 'le fichier create_listing_file.php n\'a pas t trouv sur le site distant';
$lang['remote_site_error'] = 'Une erreur est intervenue';
$lang['remote_site_listing_not_found'] = 'fichier distant de listing introuvable';
$lang['remote_site_removed'] = 'a t supprim du site distant';
$lang['remote_site_removed_title'] = 'Elments supprims';
$lang['remote_site_created'] = 'Cr';
$lang['remote_site_deleted'] = 'Dtruit';
$lang['remote_site_local_found'] = 'Un fichier listing.xml local a t trouv pour ';
$lang['remote_site_local_new'] = '(nouveau site)';
$lang['remote_site_local_update'] = 'lire fichier listing.xml local et mettre  jour la base';

// Category words
$lang['title_cat_perm'] = 'Modifier les permissions pour la catgorie';
$lang['cat_security'] = 'Scurit';
$lang['cat_options'] = 'Options de la catgorie';
$lang['cat_add'] = 'Ajouter une catgorie virtuelle';
$lang['cat_virtual'] = 'Catgorie virtuelle';
$lang['cat_public'] = 'Catgorie publique';
$lang['cat_private'] = 'Catgorie prive';
$lang['cat_image_info'] = 'Infos images';
$lang['editcat_status'] = 'Statut';
$lang['editcat_confirm'] = 'Les informations associes  cette catgorie ont t mises  jour.';
$lang['editcat_perm'] = 'Pour accder aux permissions associes, cliquez';
$lang['editcat_lock_info'] = 'Verrouiller temporairement une catgorie (maintenance). Elle devient alors invisible pour les utilisateurs.';
$lang['editcat_uploadable'] = 'Autoriser l\'ajout d\'images';
$lang['editcat_uploadable_info'] = 'Les utilisateurs pourront ajouter des images.';
$lang['editcat_commentable_info'] = 'Autoriser les utilisateurs  poster des commentaires.';
$lang['cat_access_info'] = 'Permet de grer l\'accs  cette catgorie.';
$lang['cat_virtual_added'] = 'Catgorie virtuelle cre';
$lang['cat_virtual_deleted'] = 'Catgorie virtuelle dtruite';
$lang['cat_upload_title'] = 'Slectionner les catgories pour lesquelles l\'ajout d\'image est autoris';
$lang['cat_upload_info'] = 'Seules les catgories non virtuelles et non distantes sont repertories.';
$lang['cat_lock_title'] = 'Verrouiller les catgories';
$lang['cat_lock_info'] = 'Verrouiller temporairement une catgorie (maintenance). Elle devient alors invisible pour les utilisateurs.
<br />Toutes les sous-catgories seront aussi verrouilles ou toutes les catgories mres seront dverouilles selon votre action.';
$lang['cat_comments_title'] = 'Autoriser les utilisateurs  poster des commentaires';
$lang['cat_comments_info'] = 'Par hritage, il est possible de poster des commentaires dans une sous-catgorie si cela est autoris pour au moins une catgorie mre.';
$lang['cat_status_title'] = 'Gestion des autorisations';
$lang['cat_status_info'] = 'Les catgories slectionnes sont prives : vous devrez permettre  vos utilisateurs et / ou groupes d\'y accder.
<br />Si une catgorie est dclare prive, alors toutes ses sous catgories deviennent prives.
<br />Si une catgorie est dclare publique, alors toutes les catgories mres deviennent publiques.';
$lang['cat_representant'] = 'Trouver un nouveau reprsentant au hasard';

//Titles
$lang['admin_panel'] = 'Panneau d\'administration';
$lang['default_message'] = 'Zone d\'administration de PhpWebGallery';
$lang['title_liste_users'] = 'Liste des utilisateurs';
$lang['title_history'] = 'Historique';
$lang['title_update'] = 'Synchronisation base de donnes avec fichiers';
$lang['title_configuration'] = 'Configuration de PhpWebGallery';
$lang['title_instructions'] = 'Instructions';
$lang['title_categories'] = 'Gestion des catgories';
$lang['title_edit_cat'] = 'Editer une catgorie';
$lang['title_info_images'] = 'Modifier les informations sur les images d\'une catgorie';
$lang['title_thumbnails'] = 'Cration des miniatures';
$lang['title_thumbnails_2'] = 'pour';
$lang['title_default'] = 'Administration de PhpWebGallery';
$lang['title_waiting'] = 'Images en attente de validation';
$lang['title_upload'] = 'Slectionner les catgories pour lesquelles l\'ajout d\'image est autoris';
$lang['title_cat_options'] = 'Options relatives aux catgories';
$lang['title_groups'] = 'Gestion des groupes';

//Error messages
$lang['conf_confirmation'] = 'Informations enregistres dans la base de donnes';
$lang['cat_error_name'] = 'Le nom d\'une catgorie ne doit pas tre nul';

// Configuration
$lang['conf_default'] = 'Affichage par dfaut';
$lang['conf_cookie'] = 'Session & Cookie';

// Configuration -> general
$lang['conf_general_title'] = 'Configuration gnrale';
$lang['conf_mail_webmaster'] = 'Adresse e-mail de l\'Administrateur';
$lang['conf_mail_webmaster_info'] = 'Les visiteurs pourront vous contacter par ce mail';
$lang['conf_mail_webmaster_error'] = 'Adresse email non valide. Elle doit tre de la forme : nom@domaine.com';
$lang['conf_prefix'] = 'Prfixe miniature';
$lang['conf_prefix_info'] = 'Les noms des fichiers miniatures en sont prfix. Laissez vide en cas de doute.';
$lang['conf_prefix_thumbnail_error'] = 'Le prfixe doit tre uniquement compos des caractres suivant : a-z, "-" ou "_"';
$lang['conf_access'] = 'Type d\'acces';
$lang['conf_log_info'] = 'historiser les visites sur le site ? Les visites seront visibles dans l\'historique de l\'administration';
$lang['conf_notification'] = 'Notification par mail';
$lang['conf_notification_info'] = 'Notification automatique par mail des administrateurs (seuls les administrateurs) lors de l\'ajout d\'un commentaire, ou lors de l\'ajout d\'une image.';
$lang['conf_gallery_locked'] = 'Verrouiller la galerie';
$lang['conf_gallery_locked_info'] = 'Verrouiller toute la galerie pour maintenance. 
Attention  ne pas vous dconnecter : seul l\'administrateur sera capable d\'y accder.';

// Configuration -> comments
$lang['conf_comments_title'] = 'Configuration des commentaires';
$lang['conf_comments_forall'] = 'Autoriser pour tous ?';
$lang['conf_comments_forall_info'] = 'Mme les invits non enregistrs peuvent dposer les messages';
$lang['conf_nb_comment_page'] = 'Nombre de commentaires par page';
$lang['conf_nb_comment_page_info'] = 'Nombre de commentaire  afficher sur chaque page. Le nombre de commentaires pour une image reste illimit. Entrer un nombre entre 5 et 50.';
$lang['conf_nb_comment_page_error'] = 'Le nombre de commentaires par page doit tre compris entre 5 et 50 inclus.';
$lang['conf_comments_validation'] = 'Validation';
$lang['conf_comments_validation_info'] = 'L\'administrateur valide les commentaires avant qu\'ils apparaissent sur le site';

// Configuration -> default
$lang['conf_default_title'] = 'Configuration de l\'affichage par dfaut';
$lang['conf_default_language_info'] = 'Langue par dfaut';
$lang['conf_default_theme_info'] = 'Thme par dfaut';
$lang['conf_nb_image_line_info'] = 'Nombre d\'images par ligne par dfaut';
$lang['conf_nb_line_page_info'] = 'Nombre de lignes par page par dfaut';
$lang['conf_recent_period_info'] = 'En nombre de jours. Priode pendant laquelle l\'image est note comme rcente. La dure doit au moins tre d\'un jour.';
$lang['conf_default_expand_info'] = 'Dvelopper toutes les catgories par dfaut dans le menu ?';
$lang['conf_show_nb_comments_info'] = 'Montrer le nombre de commentaires pour chaque image sur la page des miniatures';
$lang['conf_default_maxwidth_info'] = 'Largeur maximum affichable pour les images : les images ne seront redimensionnes que pour l\'affichage, les fichiers images resteront intacts. 
Laisser vide si vous ne souhaitez pas mettre de limite.';
$lang['conf_default_maxheight_info'] = 'Idem mais pour la hauteur des images';

// Configuration -> upload
$lang['conf_upload_title'] = 'Configuration de l\'envoi d\'images par les utilisateurs';
$lang['conf_upload_maxfilesize'] = 'Poids maximum';
$lang['conf_upload_maxfilesize_info'] = 'Poids maximum autoris pour les images uploades. Celui-ci doit tre un entier compris entre 10 et 1000, en Ko.';
$lang['conf_upload_maxfilesize_error'] = 'Le poids maximum pour les images uploads doit tre un entier compris entre 10 et 1000.';
$lang['conf_upload_maxwidth'] = 'Largeur maximum';
$lang['conf_upload_maxwidth_info'] = 'Largeur maximum autorise pour les images. Celle-ci doit tre un entier suprieur  10, en pixels.';
$lang['conf_upload_maxwidth_error'] = 'la largeur maximum des images uploades doit tre un entier suprieur  10.';
$lang['conf_upload_maxheight'] = 'Hauteur maximum';
$lang['conf_upload_maxheight_info'] = 'Hauteur maximum autorise pour les images. Celle-ci doit tre un entier suprieur  10, en pixels.';
$lang['conf_upload_maxheight_error'] = 'La hauteur maximum des images uploades doit tre un entier suprieur  10.';
$lang['conf_upload_tn_maxwidth'] = 'Largeur maximum miniatures.';
$lang['conf_upload_tn_maxwidth_info'] = 'Largeur maximum autorise pour les miniatures. Celle-ci doit tre un entier suprieur  10, en pixels.';
$lang['conf_upload_maxwidth_thumbnail_error'] = 'La largeur maximum des miniatures uploades doit tre un entier suprieur  10.';
$lang['conf_upload_tn_maxheight'] = 'Hauteur maximum miniatures';
$lang['conf_upload_tn_maxheight_info'] = 'Hauteur maximum autorise pour les miniatures. Celle-ci doit tre un entier suprieur  10, en pixels.';
$lang['conf_upload_maxheight_thumbnail_error'] = 'La hauteur maximum des miniatures uploades doit tre un entier suprieur  10.';

// Configuration -> session
$lang['conf_session_title'] = 'Configuration des sessions';
$lang['conf_authorize_remembering'] = 'Connexion automatique';
$lang['conf_authorize_remembering_info'] = 'Les utilisateurs ne devront plus s\'identifier  chaque nouvelle visiste du site';

// Configuration -> metadata
$lang['conf_metadata_title'] = 'Configuration des mtadonnes des images';
$lang['conf_use_exif'] = 'Analyse des EXIF';
$lang['conf_use_exif_info'] = 'Analyse les donnes EXIF durant la synchronisation des images';
$lang['conf_use_iptc'] = 'Analyse des IPTC';
$lang['conf_use_iptc_info'] = 'Analyse les donnes IPTC durant la synchronisation des images';
$lang['conf_show_exif'] = 'Montrer les EXIF';
$lang['conf_show_exif_info'] = 'Affiche les mtadonnes EXIF';
$lang['conf_show_iptc'] = 'Montrer les IPTC';
$lang['conf_show_iptc_info'] = 'Affiche les mtadonnes IPTC';

// Image informations
$lang['title_picmod'] = 'Modifier les informations d\'une image';
$lang['infoimage_general'] = 'Options gnrale pour la catgorie';
$lang['infoimage_useforall'] = 'utiliser pour toutes les images ?';
$lang['infoimage_creation_date'] = 'Date de cration';
$lang['infoimage_detailed'] = 'Options pour chaque image / photo';
$lang['infoimage_title'] = 'Titre';
$lang['infoimage_keyword_separation'] = '(sparer avec des ",")';
$lang['infoimage_addtoall'] = 'ajouter  tous';
$lang['infoimage_removefromall'] = 'retirer  tous';
$lang['infoimage_associate'] = 'Associer  la catgorie';
$lang['infoimage_associated'] = 'Associ';
$lang['infoimage_dissociated'] = 'Non associ';
$lang['storage_category'] = 'Repertoire de stockage';
$lang['represents'] = 'Reprsente';
$lang['doesnt_represent'] = 'Autres catgories';
$lang['cat_unknown_id'] = 'Cette catgorie n\'existe pas dans la base de donnes';
$lang['dissociate'] = 'dissocier';

// Thumbnails
$lang['tn_width'] = 'largeur';
$lang['tn_height'] = 'hauteur';
$lang['tn_no_support'] = 'Image inexistante ou aucun support';
$lang['tn_format'] = 'pour le format';
$lang['tn_thisformat'] = 'pour ce format de fichier';
$lang['tn_err_width'] = 'la largeur doit tre un entier suprieur ';
$lang['tn_err_height'] = 'la hauteur doit tre un entier suprieur ';
$lang['tn_results_title'] = 'Rsultats de la miniaturisation';
$lang['tn_picture'] = 'image';
$lang['tn_results_gen_time'] = 'gnr en';
$lang['tn_stats'] = 'Statistiques gnrales';
$lang['tn_stats_nb'] = 'nombre d\'images miniaturises';
$lang['tn_stats_total'] = 'temps total';
$lang['tn_stats_max'] = 'temps max';
$lang['tn_stats_min'] = 'temps min';
$lang['tn_stats_mean'] = 'temps moyen';
$lang['tn_err'] = 'Vous avez commis des erreurs';
$lang['tn_params_title'] = 'Paramtres de miniaturisation';
$lang['tn_params_GD'] = 'version de GD';
$lang['tn_params_GD_info'] = '- GD est la bibliothque de manipulation graphique pour PHP<br />
- cochez la version de GD installe sur le serveur. Si vous choisissez l\'une et que vous obtenez ensuite des messages d\'erreur, choisissez l\'autre version. 
Si aucune version ne marche, cela signifie que GD n\'est pas install sur le serveur.';
$lang['tn_params_width_info'] = 'largeur maximum que peut prendre les miniatures';
$lang['tn_params_height_info'] = 'hauteur maximum que peut prendre les miniatures';
$lang['tn_params_create'] = 'en crer';
$lang['tn_params_create_info'] = 'N\'essayez pas de lancer directement un grand nombre de miniaturisation.<br />
En effet la miniaturisation est coteuse en ressources processeur pour le serveur. 
Si vous tes chez un hbergeur gratuit, une trop forte occupation processeur peut amener l\'hbergeur  supprimer votre compte.';
$lang['tn_params_format'] = 'format';
$lang['tn_params_format_info'] = 'seul le format jpeg est support pour la cration des miniatures';
$lang['tn_alone_title'] = 'images sans miniatures (format jpg et png uniquement)';
$lang['tn_dirs_title'] = 'Liste des rpertoires';
$lang['tn_dirs_alone'] = 'images sans miniatures';
$lang['tn_no_missing'] = 'Aucune miniature ne manque';
$lang['tn_all'] = 'tout';

// Waiting files 
$lang['waiting_update'] = 'Les images valides ne seront visibles qu\'aprs mise  jour de la base d\'images.';

// Update
$lang['update_missing_tn'] = 'Il manque la miniature pour';
$lang['update_missing_tn_short'] = 'Miniature manquante';
$lang['update_missing_tn_info'] = 'Une image ncessite une miniature. 
Celle ci doit tre prsente dans le rpertoire "thumbnail" du repertoire de la catgorie.
Le nom de la miniature doit commencer par le prfixe dfini par la configuration de la galerie et doit tre du type :';
$lang['update_disappeared_tn'] = 'La miniature n\'existe pas';
$lang['update_disappeared'] = 'n\'existe pas';
$lang['update_part_deletion'] = 'Suppression des images de la base qui n\'ont pas de thumbnail ou qui n\'existent pas';
$lang['update_part_research'] = 'Recherche des nouvelles images dans les rpertoires';
$lang['update_research_added'] = 'ajout';
$lang['update_research_deleted'] = 'dtruit';
$lang['update_research_tn_ext'] = 'miniature en';
$lang['update_default_title'] = 'Type de synchronisation';
$lang['update_nb_new_elements'] = 'lment(s) ajout(s)';
$lang['update_nb_del_elements'] = 'lment(s) effac(s)';
$lang['update_nb_new_categories'] = 'catgorie(s) ajoute(s)';
$lang['update_nb_del_categories'] = 'catgorie(s) efface(s)';
$lang['update_sync_files'] = 'Synchroniser la structure';
$lang['update_sync_dirs'] = 'Seulement les catgories';
$lang['update_sync_all'] = 'Catgories et fichiers';
$lang['update_sync_metadata'] = 'Synchroniser les mta-donnnes';
$lang['update_sync_metadata_new'] = 'Seulement sur les nouveaux lments';
$lang['update_sync_metadata_all'] = 'Sur tous les lments';
$lang['update_cats_subset'] = 'Limiter la synchronisation aux catgories suivantes';
$lang['update_nb_errors'] = 'erreurs durant la synchronisation';
$lang['update_error_list_title'] = 'Liste d\'erreurs';
$lang['update_errors_caption'] = 'Explications';
$lang['update_display_info'] = 'Afficher des informations dtailles';
$lang['update_simulate'] = 'Simuler (aucune opration ne sera sauvegarde)';
$lang['update_infos_title'] = 'Informations dtailles';
$lang['update_simulation_title'] = '[Simulation]';
$lang['update_wrong_dirname'] = 'Le nom du rpertoire peut tre compos de lettres et des signes "-", "_" or "."';
$lang['update_wrong_dirname_short'] = 'Nom incorrect';
$lang['update_wrong_dirname_info'] = 'Le nom du rpertoire peut tre compos de lettres et des signes "-", "_" or "."';
$lang['update_result_metadata'] = 'Rsultats de la synchronization avec les mta-donnes';
$lang['update_elements_metadata_sync'] = 'lments synchroniss avec les mta-donnes';
$lang['update_used_metadata'] = 'Mta-donnes utilises';
$lang['metadata_basic'] = 'basique';
$lang['metadata_exif'] = 'EXIF';
$lang['metadata_iptc'] = 'IPTC';

// History
$lang['stats_title'] = 'Historique de l\'anne coule';
$lang['stats_month_title'] = 'Historique mois par mois';
$lang['stats_pages_seen'] = 'Pages vues';
$lang['stats_global_graph_title'] = 'Nombre de pages vues par mois';
$lang['stats_visitors_graph_title'] = 'Nombre de visiteurs par jour';

// Users
$lang['title_user_modify'] = 'Modifier un utilisateur';
$lang['title_user_perm'] = 'Modifier les permissions pour l\'utilisateur';
$lang['user_err_modify'] = 'Cet utilisateur ne peut pas tre modif ou supprim';
$lang['user_err_unknown'] = 'Cet utilisateur n\'existe pas dans la base de donnes';
$lang['user_management'] = 'Champs spciaux pour l\'administrateur';
$lang['user_status'] = 'Statut de l\'utilisateur';
$lang['user_status_admin'] = 'Administrateur';
$lang['user_status_guest'] = 'Utilisateur';
$lang['user_delete'] = 'Supprimer l\'utilisateur';
$lang['user_delete_hint'] = 'Cliquez ici pour supprimer dfinitivement l\'utilisateur. Attention cette opration ne pourra tre rtablie.';
$lang['permuser_info'] = 'Seules les catgories dclares en prive sont affiches. Le status priv/public des catgories est configurable dans l\'cran "Catgories &gt; Scurit" de l\'administration.';
$lang['permuser_only_private'] = 'Seules les catgories prives sont reprsentes';
$lang['order_by'] = 'classer par';
$lang['registration_date'] = 'date d\'enregistrement';
$lang['ascending'] = 'croissant';
$lang['descending'] = 'dcroissant';
$lang['actions'] = 'actions';

// Groups
$lang['group_list_title'] = 'Liste des groupes existants';
$lang['group_confirm_delete']= 'Confirmer la destruction du groupe';
$lang['group_add'] = 'Ajouter un groupe';
$lang['group_add_error1'] = 'Le nom du groupe ne doit pas comporter de " ou de \' et ne pas tre vide.';
$lang['group_add_error2'] = 'Ce nom de groupe est dj utilis.';
$lang['group_edit'] = 'Edition des utilisateurs appartenant au groupe';
$lang['group_deny_user'] = 'Supprimer la slection';
$lang['group_add_user']= 'Ajouter le membre';
$lang['title_group_perm'] = 'Modifier les permissions pour le groupe';
?>