<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | branch        : BSF (Best So Far)
// | file          : $RCSfile: common.lang.php,v $
// | last update   : $Date: 2005/03/12 10:37:19 $
// | last modifier : $Author: plg $
// | revision      : $Revision: 1.18 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Langage informations
$lang_info['language_name'] = 'Franais';
$lang_info['country'] = 'France';
$lang_info['charset'] = 'iso-8859-1';
$lang_info['direction'] = 'ltr';
$lang_info['code'] = 'fr';

// Main words 
$lang['no_category'] = 'Accueil';
$lang['category'] = 'Catgorie';
$lang['categories'] = 'Catgories';
$lang['thumbnail'] = 'Miniature';
$lang['thumbnails'] = 'Miniatures';
$lang['search'] = 'Rechercher';
$lang['comment'] = 'Commentaire';
$lang['comments'] = 'Commentaires';
$lang['picture'] = 'Image';
$lang['pictures'] = 'Images';
$lang['name'] = 'Nom';
$lang['no'] = 'Non';
$lang['yes'] = 'Oui';
$lang['date'] = 'Date';
$lang['description'] = 'Description';
$lang['author'] = 'Auteur';
$lang['size'] = 'Dimensions';
$lang['filesize'] = 'Poids';
$lang['file'] = 'Fichier';
$lang['keywords'] = 'Mots-clefs';
$lang['default'] = 'Dfaut';
$lang['webmaster'] = 'Webmaster';
$lang['language'] = 'Langue';
$lang['send_mail'] = 'Contact';
$lang['powered_by'] = 'Propuls par';
$lang['all_categories'] = 'toutes catgories';

// Properties
$lang['registration_date'] = 'Enregistr le';
$lang['creation_date'] = 'Cr le';

// Form words 
$lang['submit'] = 'Valider';
$lang['delete'] = 'Supprimer';
$lang['reset'] = 'Rtablir';
$lang['Close'] = 'Fermer la fentre';
$lang['Select'] = 'Slectionner';

// Error management
$lang['mandatory'] = 'obligatoire';
$lang['err_date'] = 'date errone';

// Identification
$lang['login'] = 'Nom d\'utilisateur';
$lang['password'] = 'Mot de passe';
$lang['logout'] = 'Se dconnecter';
$lang['customize'] = 'Personnalisation';
$lang['new'] = 'Nouveau';
$lang['identification'] = 'Identification';
$lang['remember_me'] = 'Connexion auto';
$lang['only_members'] = 'Seuls les membres du site peuvent accder  cette page';
$lang['invalid_pwd'] = 'Le mot de passe rentr n\'est pas valide';
$lang['access_forbiden'] = 'Vous n\'tes pas autoris  aller dans cette section';
$lang['ident_register'] = 'S\'enregistrer';
$lang['ident_forgotten_password'] = 'Mot de passe oubli ?';
$lang['ident_guest_visit'] = 'Parcourir la galerie en tant que visiteur';

// Register
$lang['register_page_title'] = 'Enregistrement';
$lang['register_title'] = 'Enregistrement';
$lang['reg_err_login1'] = 'veuillez rentrer un pseudo';
$lang['reg_err_login2'] = 'le pseudo ne doit pas se terminer par un espace';
$lang['reg_err_login3'] = 'le pseudo ne doit pas commencer par un espace';
$lang['reg_err_login4'] = 'le pseudo ne doit pas comporter les caractre " et \'';
$lang['reg_err_login5'] = 'ce pseudo est dj utilis';
$lang['reg_err_pass'] = 'veuillez retaper le mot de passe';
$lang['reg_confirm'] = 'Confirmer le mot de passe';
$lang['reg_err_mail_address'] = 'l\'adresse mail doit tre de la forme xxx@yyy.eee (exemple : jack@altern.org)';

// Navigation
$lang['home'] = 'Accueil';
$lang['title_menu'] = 'Sommaire';
$lang['home_hint'] = 'Retour  la page des miniatures';
$lang['special_categories'] = 'Spcial';
$lang['favorite_cat'] = 'Favoris';
$lang['favorite_cat_hint'] = 'Afficher vos favoris';
$lang['most_visited_cat'] = 'plus vues';
$lang['most_visited_cat_hint'] = 'affiche les images les plus visites';
$lang['best_rated_cat'] = 'mieux notes';
$lang['best_rated_cat_hint'] = 'affiche les images les mieux notes';
$lang['recent_pics_cat'] = 'Nouvelles images';
$lang['recent_pics_cat_hint'] = 'Affiche les images les plus rcentes';
$lang['recent_cats_cat'] = 'Nouvelles catgories';
$lang['recent_cats_cat_hint'] = 'Affiche les catgories les plus rcentes';
$lang['random_cat'] = 'Images au hasard';
$lang['random_cat_hint'] = 'Affiche plusieurs images choisies au hasard';
$lang['recent_image'] = 'Image datant de moins de';
$lang['about'] = 'A propos';
$lang['hint_about'] = 'Quelques informations sur PhpWebGallery...';
$lang['admin'] = 'Administration';
$lang['hint_admin'] = 'Partie accessible uniquement aux administrateurs';
$lang['page_number'] = 'numro de page';
$lang['previous_page'] = 'Prcdente';
$lang['next_page'] = 'Suivante';
$lang['first_page'] = '<<';
$lang['last_page'] = '>>';
$lang['hint_category'] = 'affiche les images  la racine de cette catgorie';
$lang['hint_customize'] = 'personnaliser votre affichage';
$lang['hint_search'] = 'lancer une recherche';
$lang['upload_picture'] = 'Ajouter une image';
$lang['favorites'] = 'Favoris';

//Calendar
$lang['calendar'] = 'Calendrier';
$lang['calendar_hint'] = 'Affiche toutes les images tries par mois';
$lang['calendar_picture_hint'] = 'Affiche les images ajoutes en ';
$lang['month'][1] = 'Janvier';
$lang['month'][2] = 'Fvrier';
$lang['month'][3] = 'Mars';
$lang['month'][4] = 'Avril';
$lang['month'][5] = 'Mai';
$lang['month'][6] = 'Juin';
$lang['month'][7] = 'Juillet';
$lang['month'][8] = 'Aot';
$lang['month'][9] = 'Septembre';
$lang['month'][10] = 'Octobre';
$lang['month'][11] = 'Novembre';
$lang['month'][12] = 'Dcembre';
$lang['day'][0] = 'Dimanche';
$lang['day'][1] = 'Lundi';
$lang['day'][2] = 'Mardi';
$lang['day'][3] = 'Mercredi';
$lang['day'][4] = 'Jeudi';
$lang['day'][5] = 'Vendredi';
$lang['day'][6] = 'Samedi';
$lang['w_month']='Mois';
$lang['w_day']='Jour';;
$lang['days']='Jours';
$lang['today']='Aujourd\'hui';

// Customization
$lang['customize_page_title'] = 'Personnalisation de votre galerie';
$lang['customize_title'] = 'Personnalisation';
$lang['preferences'] = 'Prfrences';
$lang['password_hint'] = 'Vous devez confirmer votre mot de passe si vous souhaitez modifier votre adresse e-mail';
$lang['new_password'] = 'Nouveau mot de passe';
$lang['new_password_hint'] = 'Vous avez seulement besoin de fournir un mot de passe si vous voulez le changer';
$lang['confirm_password_hint'] = 'Vous avez seulement besoin de confirmer votre mot de passe si vous l\'avez chang ci-dessus';
$lang['nb_image_per_row'] = 'Nombre d\'images par ligne';
$lang['nb_row_per_page'] = 'Nombre de lignes par page';
$lang['maxwidth'] = 'Largeur maximum des images';
$lang['maxheight'] = 'Hauteur maximum des images';
$lang['auto_expand'] = 'Dvelopper toutes les catgories';
$lang['show_nb_comments'] = 'Montrer le nombre de commentaires';
$lang['recent_period'] = 'Dure de nouveaut';
$lang['theme'] = 'Thme de l\'interface';
$lang['mail_address'] = 'Adresse e-mail';
$lang['periods_error'] = 'La priode doit tre entire.';
$lang['maxwidth_error'] = 'La largeur maximum des images doit tre un entier suprieur  50';
$lang['maxheight_error'] = 'La hauteur maximum des images doit tre un entier suprieur  50';

// search
$lang['search_title'] = 'Rechercher';
$lang['search_options'] = 'Options de recherche';
$lang['search_keywords'] = 'Recherche par mots';
$lang['search_keywords_hint'] = 'Effectuez une recherche sur tous les champs des images prsentes dans la galerie. Utilisez * comme un joker pour des recherches partielles';
$lang['search_mode_or'] = 'Rechercher n\'importe quel de ces termes';
$lang['search_mode_and'] = 'Rechercher tous les termes';
$lang['search_author'] = 'Recherche par auteur';
$lang['search_categories'] = 'Recherche dans les catgories';
$lang['search_subcats_included'] = 'Rechercher dans les sous-catgories';
$lang['search_categories_hint'] = 'Slectionnez le ou les catgorie(s) pour lesquelles vous souhaitez faire votre rechercher.';
$lang['search_explain'] = 'Utilisez * comme un joker pour des recherches partielles';
$lang['search_date'] = 'Rechercher par date';
$lang['search_date_hint'] = 'Slectionnez une date et une date de fin pour vos recherches.<br />
Ne remplissez que la date de fin pour faire une recherche de type "avant".<br />
L\'anne doit tre rentre dans le dernier champ sous la forme 0000 (par exemple 2004).';
$lang['search_date_from'] = 'Date';
$lang['search_date_to'] = 'Date de fin';
$lang['search_date_type'] = 'Type de date';
$lang['search_date_available'] = 'Mise  disposition';
$lang['search_date_creation'] = 'Cration';
$lang['search_sort'] = 'Trier par';
$lang['search_ascending'] = 'Croissant';
$lang['search_descending'] = 'Dcroissant';
$lang['search_one_clause_at_least'] = 'Recherche vide. Aucun critre n\'a t renseign.';
$lang['search_result'] = 'Rsultats de la recherche';
$lang['invalid_search'] = 'Les mots recherchs doivent comporter plus de 3 caractres et ne doivent pas inclure de caractres de ponctuation';
$lang['Look_up_user'] = 'Rechercher l\'utilisateur';
$lang['Find_username'] = 'Trouver un nom d\'utilisateur';
$lang['No_match'] = 'Aucun enregistrement trouv.';
$lang['Select_username'] = 'Slectionner un Nom d\'utilisateur';

// Category
$lang['sub-cat'] = 'sous-catgories';
$lang['images_available'] = 'images dans cette catgorie';
$lang['total'] = 'images';

// About
$lang['about_page_title'] = 'A propos de PhpWebGallery';
$lang['about_title'] = 'A propos...';
$lang['about_message'] = '<div style="text-align:center;font-weigh:bold;">Informations sur le PhpWebGallery</div>
<ul>
<li>Ce site utilise la version '.PHPWG_VERSION.' de <a href="'.PHPWG_URL.'" style="text-decoration:underline">PhpWebGallery</a>. PhpWebGallery est une application web permettant de crer simplement une galerie d\'images en ligne.</li>
<li>D\'un point de vue technique, PhpWebGallery est entirement dvelopp en PHP (l\'elePHPant) avec une base de donnes MySQL(le mySQreuiL).</li>
<li>Si vous avez des suggestions ou des commentaires, n\'hsitez pas  visiter le site de <a href="'.PHPWG_URL.'" style="text-decoration:underline">PhpWebGallery</a> et son <a href="'.PHPWG_FORUM_URL.'" style="text-decoration:underline">forum</a>.</li>
</ul>';

// Picture
$lang['add_favorites_alt'] = 'Ajouter aux favoris';
$lang['add_favorites_hint'] = 'ajouter cette image  vos favoris';
$lang['del_favorites_alt'] = 'Retirer des favoris';
$lang['del_favorites_hint'] = 'supprimer cette image de vos favoris';
$lang['link_info_image'] = 'Modifier les informations de cette image';
$lang['true_size'] = 'Taille relle';
$lang['comments_title'] = 'Commentaires des visiteurs du site';
$lang['comments_del'] = 'supprimer ce message';
$lang['comments_add'] = 'Ajouter un commentaire';
$lang['slideshow'] = 'diaporama';
$lang['period_seconds'] = 'secondes par image';
$lang['slideshow_stop'] = 'stopper le diaporama';
$lang['download'] = 'Tlcharger';
$lang['download_hint'] = 'Tlcharger ce fichier';
$lang['comment_added'] = 'Votre commentaire a t enregistr';
$lang['comment_to_validate'] = 'Un administrateur doit valider votre commentaire pour qu\'il soit visible';
$lang['comment_anti-flood'] = 'Systme anti-flood : attendez un moment avant de dposer un message';
$lang['comment_user_exists'] = 'Ce pseudo appartient  un autre utilisateur';
$lang['picture_show_metadata'] = 'Montrer les mtadonnes';
$lang['picture_hide_metadata'] = 'Cacher les mtadonnes';
$lang['to_rate'] = 'Note';
$lang['update_rate'] = 'Mettre  jour votre note';
$lang['element_rate'] = 'note';
$lang['already_rated'] = 'Vous avez dja not image';
$lang['never_rated'] = 'Vous n\'avez jamais not cette image';
$lang['no_rate'] = 'Aucune note';
$lang['rates'] = 'Notes';
$lang['standard_deviation'] = 'STD';
$lang['picture_high'] = 'Cliquez sur l\'image pour la voir en haute rsolution';
$lang['visited'] = 'visit';
$lang['times'] = 'fois';

// Upload
$lang['upload_forbidden'] = 'On ne peut pas ajouter d\'image dans cette catgorie';
$lang['upload_file_exists'] = 'Une image du mme nom existe dj';
$lang['upload_filenotfound'] = 'vous devez choisir un fichier image pour la photo';
$lang['upload_cannot_upload'] = 'impossible d\'uploader la photo sur le serveur';
$lang['upload_title'] = 'Ajouter une image';
$lang['upload_advise'] = 'Choisissez une image  placer dans la catgorie : ';
$lang['upload_advise_thumbnail'] = 'Optionnel, mais recommand : Choisissez la miniature  associer  ';
$lang['upload_advise_filesize'] = 'le poids de l\'image ne doit pas dpasser : ';
$lang['upload_advise_width'] = 'la largeur de l\'image ne doit pas dpasser : ';
$lang['upload_advise_height'] = 'la hauteur de l\'image ne doit pas dpasser : ';
$lang['upload_advise_filetype'] = 'l\'image doit tre au format jpg, gif ou png';
$lang['upload_err_username'] = 'le nom de l\'utilisateur doit tre renseign';
$lang['upload_username'] = 'Nom d\'utilisateur';
$lang['upload_successful'] = 'Image uploade avec succs, un administrateur validera celle-ci ds que possible.';
$lang['upload_name'] = 'Nom de l\'image';
$lang['upload_author'] = 'Auteur (eg "Pierrick LE GALL")';
$lang['upload_creation_date'] = 'Date de cration (JJ/MM/AAAA)';

// Admin messages
$lang['gallery_locked_message'] = 'Cette galerie est actuellement inaccessible pour cause de maintenance.
Revenez plus tard ou connectez vous en tant qu\'administrateur: <a href="'.PHPWG_ROOT_PATH.'identification.php">Identification</a>';
$lang['sql_queries_in'] = 'requtes SQL en';
$lang['title_send_mail'] = '[phpwebgallery] une remarque sur ton site';
$lang['generation_time'] = 'Page gnre en';
$lang['mail_hello'] = 'Bonjour,';
$lang['mail_new_upload_subject'] = 'Nouvelle image sur le site';
$lang['mail_new_upload_content'] = 'Une nouvelle image a t place sur la galerie. Elle est en attente de validation. RDV dans la section d\'administration pour valider ou supprimer cette image.';
$lang['mail_new_comment_subject'] = 'Nouveau commentaire sur le site';
$lang['mail_new_comment_content'] = 'Un nouveau commentaire a t post sur la galerie. Si vous avez activ la validation des commentaires, il faut d\'abord valider le commentaire dans la zone d\'administration pour le voir apparatre.'."\n\n".'Vous avez accs aux derniers commentaires dans la zone d\'administration.';


// NOT YET VALIDATED

$lang['guest'] = 'visiteur';
$lang['add'] = 'ajouter';

$lang['title_comments'] = 'Commentaires des visiteurs';
$lang['stats_last_days'] = 'derniers jours';
$lang['menu_login'] = 'Connexion';
$lang['hint_comments'] = 'Voir les derniers commentaires des visiteurs';

$lang['update_wrong_dirname'] = 'Le nom des fichiers et rpertoires ne doivent tre compos que de lettres, de chiffres et "-", "_" ou ".".';
$lang['hello'] = 'Bonjour';
?>