<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | branch        : BSF (Best So Far)
// | file          : $RCSfile: faq.lang.php,v $
// | last update   : $Date: 2005/03/12 10:57:01 $
// | last modifier : $Author: plg $
// | revision      : $Revision: 1.6 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Admin FAQ
$lang['help_images_title'] = 'Ajouts d\'lments';
$lang['help_images'] =
array(
  'Les rpertoires reprsentant les catgories sont dans le rpertoire
"galleries". Ci-dessous l\'arbre des rpertoires d\'une trs petite galerie
(mais utilisant de nombreuses fonctionnalits) : <br />
<pre>
.
|-- admin
|-- doc
|-- galleries
|   |-- categorie-1
|   |   |-- categorie-1.1
|   |   |   |-- categorie-1.1.1
|   |   |   |   |-- categorie-1.1.1.1
|   |   |   |   |   |-- pwg_high
|   |   |   |   |   |   +-- mariage.jpg
|   |   |   |   |   |-- thumbnail
|   |   |   |   |   |   +-- TN-mariage.jpg
|   |   |   |   |   +-- mariage.jpg
|   |   |   |   +-- categorie-1.1.1.2
|   |   |   +-- categorie-1.1.2
|   |   |-- categorie-1.2
|   |   |   |-- pookie.jpg
|   |   |   +-- thumbnail
|   |   |       +-- TN-pookie.jpg
|   |   +-- categorie-1.3
|   +-- categorie-2
|       |-- porcinet.gif
|       |-- pwg_representative
|       |   +-- video.jpg
|       |-- thumbnail
|       |   +-- TN-porcinet.jpg
|       +-- video.avi
|-- include
|-- install
|-- language
|-- template
+-- tool
</pre>',

  'Fondamentalement, une catgorie est reprsente par un rpertoire 
n\'importe quel niveau sous le rpertoire "galleries" de votre installation de
PhpWebGallery. Chaque catgorie peut contenir autant de sous-niveaux que
dsir. Dans l\'exemple ci-dessus, categorie-1.1.1.1 est  un niveau 4 de
profondeur.',

  'Fondamentalement, un lment est reprsent par un fichier. Un fichier peut
tre un lment pour PhpWebGallery si l\'extension du nom du fichier est parmi
la liste $conf[\'file_ext\'] (voir fichier include/config.inc.php). Un fichier
peut tre une image si son extension est parmi $conf[\'picture_ext\'] (voir
fichier include/config.inc.php).',

  'Les lments de type image doivent avoir une miniature associe (voir la
section suivante  propos des miniatures).',

  'Les lments de type image peuvent avoir un image en grand format associ.
Comme pour le fichier mariage.jpg dans l\'exemple ci-dessus. Aucun prfix
n\'est ncessaire sur le nom du fichier.',

  'Les lments non image (vidos, sons, fichiers texte, tout ce que vous
voulez...) sont par dfaut reprsents par un icne correspondant 
l\'extension du nom du fichier. Optionnellement, une miniature et un
reprsentant peuvent tre associs (voir le fichier video.avi dans
l\'exemple)',

  'Attention : le nom d\'un rpertoire ou d\'un fichier ne doit tre compos
que de lettres, de chiffres, de "-", "_" ou ".". Pas d\'espace ou de
caractres accentus.',

  'Conseil : une catgorie peut contenir des lments et des sous-catgories 
la fois. Nanmoins, il est fortement conseill pour chaque catgorie de choisir
entre contenir des lments OU BIEN des sous-catgories.',
  );

$lang['help_thumbnails_title'] = 'Miniatures';
$lang['help_thumbnails'] =
array(
  'Comme mentionn prcdemment, chaque lment de type image doit tre
associ  une miniature.',

  'Les miniatures sont stockes dans le sous-rpertoire "thumbnail" de chaque
rpertoire reprsentant une catgorie. Une miniature est un fichier de type
image (mme extension du nom du fichier) dont le nom de fichier est prfix par
le paramtre "Prfixe miniature" (voir zone administration, Configuration,
Gnral)',

  'Les miniatures n\'ont pas besoin d\'avoir la mme extension que leur image
associe (une image avec ".jpg" comme extension peut avoir une miniature en
".GIF" par exemple).',

  'Il est conseill d\'utiliser un outil externe pour la cration des
miniatures (comme ThumbClic ou PhpMyVignettes, voir le site de prsentation
de PhpWebGallery).',

  'Vous pouvez galement utiliser l\'outil de cration de miniature intgr 
PhpWebGallery mais cela est dconseill car la qualit risque d\'tre dcevante
et cela utilise inutilement les ressources du serveur (ce qui peut tre un
grave problme sur un serveur mutualis).',

  'Si vous choisissez d\'utiliser le serveur web pour gnrer les miniatures,
vous devez donner les droits en criture sur tous les rpertoires reprsentant
les catgories pour tous les utilisateurs (propritaire, groupe, autre)'
  );

$lang['help_database_title'] =
'Synchroniser le systme de fichiers et la base';
$lang['help_database'] =
array(
  'Une fois que les fichiers, miniatures, reprsentants ont t correctement
placs dans les rpertoires, se rendre sur : zone administration, Gnral,
Synchroniser',

  'Il existe 2 types de synchronisations : structure et meta-donnes.
Synchroniser la structure revient  synchroniser votre arbre des rpertoires
et fichiers avec la reprsentation de la structure dans la base de donnes.
Synchroniser les mta-donnes permet de mettre  jour les informations comme
le poids du fichier, les dimensions, les donnes EXIF ou IPTC.',

  'La premire synchronisation  effectuer doit tre celle sur la structure.',

  'Le processus de synchronisation peut prendre du temps (en fonction de la
charge du serveur et de la quantit de fichiers  grer), il est donc
possible d\'avancer pas  pas : catgorie par catgorie.'
  
  );

$lang['help_access_title'] = 'Autorisations';
$lang['help_access'] =
array(
  'Vous pouvez interdire l\'accs aux catgories. Les catgories peuvent tre
publiques ou prives. Les autorisations (valables pour les groupes et les
utilisateurs) sont grables uniquement pour les catgories prives.',
  
  'Vous pouvez rendre une catgorie prive en l\'ditant (zone administration,
Catgories, Gestion, Editer) ou en grant les options pour votre arbre complet
des catgories (zone administration, Catgories, Scurit)',

  'Une fois que certaines catgories sont prives, vous pouvez grer les
autorisations pour les groupes et les utilisateurs (zone administration,
Autorisations).'
  );

$lang['help_groups_title'] = 'Groupes d\'utilisateurs';
$lang['help_groups'] =
array(

  'PhpWebGallery peut grer des groupes d\'utilisateurs. Trs pratique pour
grer des autorisations communes sur les catgories prives.',

  'Vous pouvez crer des groupes et y ajouter des utilisateurs dans la zone
administration, Identification, Groupes',

  'Un utilisateur peut appartenir  plusieurs groupes. L\'autorisation est
plus forte que l\'interdiction : si l\'utilisateur "pierre" appartient aux
groupes "famille" et "amis", et que seul le groupe "famille" peut visiter la
catgorie "Nol 2003", alors "pierre" peut visiter cette catgorie.'
  
  );

$lang['help_remote_title'] = 'Sites distant';
$lang['help_remote'] =
array(

  'PhpWebGallery offre la possibilit d\'utiliser plusieurs sites pour
stocker les fichiers qui composeront votre galerie. Cela peut tre utile si
votre galerie est installe sur un espace de stockage limit et que vous avez
de nombreux fichiers  montrer.',

  '1. diter le fichier tools/create_listing_file.php en modifiant la section
des paramtres comme $conf[\'prefix_thumbnail\'] ou $conf[\'use_exif\'].',

  '2. placer le fichier "tools/create_listing_file.php" modifi sur votre
site distant, dans le mme rpertoire que les rpertoires reprsentant vos
catgories (comme le rpertoire "galleries" de ce site) par FTP. Par exemple,
disons que vous pouvez accder 
http://exemple.com/galleries/create_listing_file.php.',

  '3. zone administration, Gnral, Sites distant. Demander  crer un nouveau
site, par exemple http://exemple.com/galleries',

  '4. un nouveau site distant est enregistr. 4 actions possibles :

<ol>

  <li>gnrer la liste : lance une requte distant pour gnrer le fichier
  de listing distant</li>

  <li>mettre  jour : lit le fichier distant listing.xml et synchronise avec
  la base de donnes locale</li>

  <li>nettoyer : supprime le fichier distant de listing</li>

  <li>dtruire : supprime le site (et tous les lments qui y sont associs)
  dans la base de donnes</li>

</ol>',

  'Vous pouvez galement effectuer ces oprations manuellement en ditant le
fichier listing.xml  la main et en le dplaant vers votre rpertoire
racine. Se rendre sur zone administration, Gnral, Sites distant :
PhpWebGallery dtecte le fichier et propose de s\'en servir.'
  
  );

$lang['help_upload_title'] = 'Ajout de fichiers par les utilisateurs';
$lang['help_upload'] =
array(
  'Pour permettre aux utilisateurs d\'ajouter des fichiers :',

  '1. autoriser l\'ajout d\'images sur n\'importe quelle catgorie (zone
administation, Catgories, Gestion, Edit ou zone administration, Catgories,
Ajout d\'images)',

  '2. donner les droits en criture (pour tous les utilisateurs) sur les
rpertoires correspondant aux catgories qui sont autorises  l\'ajout',

  'Les fichiers ajouts par les utilisateurs ne sont pas directement visibles
sur le site, ils doivent tre valids par un administrateur. Pour cela, un
administrateur doit se rendre dans zone administration, Images, En attente
afin de valider ou rejeter les fichiers proposs. Il est ensuite ncessaire
de synchroniser le systme de fichier avec la base de donnes.'
  );

$lang['help_virtual_title'] = 'Liens entre les lments et les catgories, catgories virtuelles';
$lang['help_virtual'] =
array(
  'PhpWebGallery dissocie les catgories qui stockent les lments et les
catgories o les lments sont montrs.',

  'Par dfaut, les lement ne sont montrs que dans leurs catgories relles :
celles qui correspondent  leurs rpertoires sur le serveur.',

  'Pour lier un lment  une catgorie, il suffit de faire une association sur
la page d\'dition de l\'lment (un lien existe vers cette page lorsque
vous tes connect en tant qu\'administrateur) ou sur la page regroupant les
informations sur tous les lments d\'une catgorie.',

  'En partant de ce principe, il est possible de crer des catgories
virtuelles : aucun rpertoire ne correspond  ces catgories. Vous pouvez
crer des catgories virtuelle sur zone administration, Catgorie, Gestion.'
  );

$lang['help_infos_title'] = 'Informations diverses';
$lang['help_infos'] =
array(
  'Ds que vous aurez crer votre galerie, configurez l\'affichage par dfaut
tel que dsir dans zone administation, Configuration, Affichage par
dfaut. En effet, chaque nouvel utilisateur hritera de ces proprits
d\'affichage.',

  'Pour tout question, n\'hsitez pas  visiter le forum ou  y poser une
question si votre recherche est infructueuse. Le <a
href="http://forum.phpwebgallery.net"
style="text-decoration:underline">forum</a> est disponible sur le site de
PhpWebGallery. Consulter galement la <a href="http://doc.phpwebgallery.net"
style="text-decoration:underline">documentation officielle de
PhpWebGallery</a> pour obtenir plus de dtails.'
  );
?>